{% extends 'base.html' %}

{% block title %}Pod {{ pod.obj.metadata.name }}{% endblock %}

{% block content %}
    <div class="content-base list-header">
        <h4>
            <span>Pod Details: {{ pod.obj.metadata.name }}</span>
            {{ md.entity_info_button(entity=pod, class='ml10') }}
        </h4>
    </div>

    <div class="content-base property-container mb40">
        <div class="mdc-list">
            <div class="property-item">
                {{ md.icon('timer') }}
                <span class="mdc-list-item__text">
                    Started: {{ pod.obj.metadata.creationTimestamp|k8s_time }}
                </span>
            </div>
            {% if
                    pod.obj.status.containerStatuses[0].state.terminated and
                    pod.obj.status.containerStatuses[0].state.terminated.finishedAt %}
                <div class="property-item">
                    {{ md.icon('timer_off') }}
                    <span class="mdc-list-item__text">
                            Finished: {{ pod.obj.status.containerStatuses[0].state.terminated.finishedAt|k8s_time }}
                    </span>
                </div>
            {% endif %}
            <div class="property-item">
                {{ md.icon('bar_chart') }}
                <span class="mdc-list-item__text">
                    {{ pod.obj.status.phase }}
                </span>
            </div>
            <div class="property-item">
                {{ md.icon('work_outline') }}
                <span class="mdc-list-item__text">
                    <a href="{{ url_for('spider_job_detail', name=pod.obj.metadata.labels['job-name']) }}">
                        {{ pod.obj.metadata.labels['job-name'] }}
                    </a>
                </span>
            </div>
        </div>
    </div>

    {% if stats %}
    <div class="content-base list-header">
        <h4>Scrapy Stats for {{ pod.obj.metadata.name }}</h4>
    </div>

    <div class="content-base no-pad mb40">
        <table class="table">
            <thead>
            <tr>
                <th>Stat</th>
                <th>Value</th>
            </tr>
            </thead>
            <tbody>
            {% for stat in stats %}
            <tr>
                <td>{{ stat[0] }}</td>
                <td>{{ stat[1] }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}

    <div class="content-base list-header">
        <h4>Logs for {{ pod.obj.metadata.name }}</h4>
    </div>

    <div class="content-base no-pad black">
        {% if has_more_logs %}
            <div id="logs-button-container" class="text-center" style="padding-top: 15px;">
                {{ md.icon_button('Show more logs', 'unfold_more', 'show-more-logs-button') }}
            </div>
        {% endif %}
        <pre id="logs" class="bold content-code no-mg">{{ logs }}</pre>
    </div>
{% endblock %}

{% block scripts %}
    <script>
        $('.show-more-logs-button').on('click', function () {
            $(this).attr('disabled', 'disabled');
            const logsUrl = "{{ url_for('spider_pod_logs', name=pod.obj.metadata.name) }}";
            $.get(logsUrl, function (response) {
                $('#logs').text(response);
                const $buttonContainer = $('#logs-button-container');
                $buttonContainer.get(0).scrollIntoView();
                $buttonContainer.remove();
            });
        });
    </script>
{% endblock %}
